/* =========================
   Fonts
========================= */
@font-face {
    font-family: "Header";
    src: url("./fonts/Satoshi-Variable.ttf") format("truetype");
}

@font-face {
    font-family: "Body";
    src: url("../fonts/Minecraftia-Regular.ttf") format("truetype");
}

/* =========================
   Variables
========================= */
:root {
    --color-primary: #ffffff;
    --color-secondary: #000000;
    --section-padding: 4rem;
}

::selection {
    background-color: #7a89ff;
    color: #131f78;
}

/* =========================
   Reset & Base
========================= */
*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

html.lenis, html.lenis body {
  height: auto;
}

body {
    background-color: var(--color-secondary);
    color: var(--color-primary);
}

/* =========================
   Typography
========================= */
h1,
h2,
h3 {
    font-family: "Header", sans-serif;
    text-transform: uppercase;
    font-weight: 900;
    letter-spacing: 0.001em;
    line-height: 1;
}

h2 {
    font-size: 5rem;
    text-align: left;
    text-shadow: 0.1em 0.1em 0.2em rgba(0, 0, 0, 0.57);
}

/* section:nth-of-type(1) h2 {
    width: 70%;
} */

a {
    font-family: "Header", sans-serif;
    font-weight: 600;
    font-size: 1.2rem;
}

p {
    font-family: "Body", monospace;
    text-shadow: 0.1em 0.1em 0.2em rgba(0, 0, 0, 0.57);
    line-height: 0;
    text-align: left;
    padding: 1rem 0;
    letter-spacing: 0.2em;
    color: var(--color-primary);
}

/* =========================
   Layout
========================= */

header {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;

    z-index: 1000;

    padding: 2rem 2rem;
    display: flex;

    pointer-events: auto;

    display: flex;
    justify-content: end;
}

header ul {
    display: flex;
    flex-flow: row;
    align-items: end;
}

header li {
    list-style: none;
    padding: 1em;
    margin: 0;
    height: fit-content;
}

header a {
    position: relative;
    color: var(--color-primary);
    text-decoration: none;
    transition: color 1s ease, color 1s ease;
}

header a:hover {
    color: #e2e5ff;
}

section {
    height: 100vh;
    position: relative;
    padding: var(--section-padding);

    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;

    overflow: hidden;
    will-change: transform;
}

/* Pin first section */
section:first-of-type {
    position: sticky;
    top: 0;
    z-index: 1;
}

/* Ensure second stacks above */
section:nth-of-type(2) {
    position: relative;
    z-index: 2;
}

/* =========================
   Media Backgrounds
========================= */
section img,
section video {
    position: absolute;
    inset: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

section:first-of-type(1) video {
    opacity: 0.7;
}


/* Pin only the first section */
section:first-of-type {
    position: sticky;
    top: 0;
    z-index: 1;
}

/* Second stacks above first */
section:nth-of-type(2) {
    position: relative;
    z-index: 2;
}

/* Third stacks above second */
section:nth-of-type(3) {
    position: relative;
    z-index: 3;
}

section:nth-of-type(4) {
    position: relative;
    justify-content: start;
    height: fit-content;

    background-color: #000000;
    z-index: 3;

    padding: 4em 0;
}

section:nth-of-type(4) ul {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 4em;
    width: 100%;
    padding: 0 4em;
}



section:nth-of-type(4) li {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;

    padding: 2em;
    gap: .5em;
    height: 30em;

    overflow: hidden;
    background: linear-gradient(
        to top,
        rgba(0, 0, 0, 0.85) 0%,
        rgba(0, 0, 0, 0.45) 30%,
        rgba(0, 0, 0, 0) 60%
    );
}


section:nth-of-type(4) p {
    color: #e2e5ff;
}

section:nth-of-type(4) h2 {
    font-size: 3rem;
}

section:nth-of-type(4) a::after {
  content: "";
  position: absolute;
  inset: 0;
}

section:nth-of-type(2)::after {
    content: "";
    position: absolute;
    inset: 0;
    z-index: -1;
    pointer-events: none;
    overflow: hidden;

    background: linear-gradient(
        to top,
        rgba(26, 26, 26, 0.85) 0%,
        rgba(32, 23, 3, 0.45) 30%,
        rgba(32, 23, 3, 0.0) 60%
    );
}

section:nth-of-type(3)::after {
    content: "";
    position: absolute;
    inset: 0;
    z-index: -1;
    pointer-events: none;
    overflow: hidden;

    background: linear-gradient(
        to top,
        rgba(0, 0, 0, 0.85) 0%,
        rgba(0, 0, 0, 0.45) 30%,
        rgba(0, 0, 0, 0.0) 60%
    );
}

@media (max-width: 1270px) {
    header {
        display: none;
    }

   section:nth-of-type(4) ul {
        grid-template-columns: 1fr;
        gap: 2em;
        padding: 0 1rem;
    }

    section:nth-of-type(4) li {
        padding: 1em;
        gap: 0;
    }

    section:nth-of-type(4) h2 {
        font-size: 1.6em;
    }

    :root {
        --section-padding: 4rem 1rem;
    }

    h2 {
        font-size: 2rem;
        line-height: 1.3;
        /* width: 100%; */

        text-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
    }

    p {
        font-size: 0.75rem;
        line-height: 1.2;
        letter-spacing: 0.12em;
        padding: 0.5rem 0;

       text-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
    }

    section {
        justify-content: flex-end;
        height: 100svh;
    }

    section:nth-of-type(1) h2 {
        width: 100%;
    }

    section::after {
        background: linear-gradient(
        to top,
            rgba(0, 0, 0, 0.45) 0%,
            rgba(0, 0, 0, 0.25) 30%,
            rgba(0, 0, 0, 0) 60%
        );
    }
}














